// Listing 2.2. Ten sam przykład, co 2.1, tylko z dyrektywą using namespace.

#include "opencv2/highgui/highgui.hpp"
#include <iostream>

using namespace cv;

void help(char** argv ) {
	std::cout << "\n"
	<< "2.2: Jak 2.1, tylko z dyrektywą using namespace cv: \n"
	<< argv[0] <<" <path/image>\n"
	<< "Na przykład:\n"
	<< argv[0] << " ../fruits.jpg\n"
	<< std::endl;
}
	

int main( int argc, char** argv ) {
	
	if (argc != 2) {
		help(argv);
		return 0;
	}

  Mat img = imread( argv[1], -1 );

  if( img.empty() ) return -1;

  namedWindow( "Listing 2.2", cv::WINDOW_AUTOSIZE );

  imshow( "Listing 2.2", img );

  waitKey( 0 );

  destroyWindow( "Listing 2.2" );
}
